import request from '@/utils/request'
import { upFilse} from '@/utils/request';

// 订单统计信息
export function orderData(data) {
	return request({
		url: '/api/order/number',
		method: 'get',
		data
	});
}

//获取用户信息
// export function getUserInfo(data) {
// 	return request({
// 		url: '/api/userinfo',
// 		method: 'get',
// 		data
// 	});
// }
/**
 * 获取用户信息 new
 * 
 */
export function getUserInfo(data) {
	// return request.get('user');
	return request({
		url: '/api/user',
		method: 'get',
		data
	})
}

// 用户分享图
export function spreadBanner(data) {
	return request({
		url: '/api/spread/banner',
		method: 'get',
		data
	});
}

// 获取地址列表
export function getAddressList(data) {
	return request({
		url: '/api/user/address/lst',
		method: 'get',
		data
	});
}
// 修改地址
export function addressEdit(data) {
	return request({
		url: '/api/user/address/create',
		method: 'post',
		data
	});
}
// 删除地址
export function addressDel(data,id) {
	return request({
		url: '/api/user/address/delete/'+id,
		method: 'post',
		data
	});
}
// 设为默认地址
export function setAddressDefault(data,id) {
	return request({
		url: '/api/user/address/update/' + id,
		method: 'post',
		data
	});
}
// 购物车列表
export function getCartList(data) {
	return request({
		url: '/api/user/cart/lst',
		method: 'get',
		data
	});
}

// 修改购物车数量
export function getCartNum(cart_id,data) {
	return request({
		url: '/api/user/cart/change/' + cart_id,
		method: 'post',
		data
	});
}
//删除购物车
export function cartDel(data) {
	return request({
		url: '/api/user/cart/delete',
		method: 'post',
		data
	});
}
//获取收藏夹列表
export function getcollectList(data) {
	return request({
		url: '/api/collect/user',
		method: 'get',
		data
	});
}
// 取消收藏
export function delcollect(data) {
	return request({
		url: '/api/collect/del',
		method: 'post',
		data
	});
}

//获取推广信息

export function getExtensionData(data) {
	return request({
		url: '/api/spread/people',
		method: 'post',
		data
	})
}
export function uploads(data){
	return upFilse({
		url:'/api/upload/image',
		method:'post',
		data
	});
}
export function edit(data){
	return request({
		url: '/api/user/edit',
		method:'post',
		data
	});
}
// 获取佣金记录
export function brokerage_list(data) {
	// return request.get("user/spread_info");
	return request({
		url: '/api/user/brokerage_list',
		method: 'get',
		data
	})
}
//佣金数据
export function spreadInfo(data) {
	return request({
		url: '/api/user/spread_info',
		method: 'get',
		data
	})
	// return request.get("user/spread_info");
}